std::multiset< _Key, _Compare, _Alloc >(3)

NAME
std::multiset< _Key, _Compare, _Alloc > - A standard container made up of elements, which can be retrieved in logarithmic time.

SYNOPSIS

  Public Types
typedef _Alloc allocator_type
typedef _Rep_type::const_iterator const_iterator
typedef _Alloc_traits::const_pointer const_pointer
typedef _Alloc_traits::const_reference const_reference
typedef _Rep_type::const_reverse_iterator const_reverse_iterator
typedef _Rep_type::difference_type difference_type
typedef _Rep_type::const_iterator iterator
typedef _Compare key_compare
typedef _Key key_type
typedef _Alloc_traits::pointer pointer
typedef _Alloc_traits::reference reference
typedef _Rep_type::const_reverse_iterator reverse_iterator
typedef _Rep_type::size_type size_type
typedef _Compare value_compare
typedef _Key value_type

  Public Member Functions
multiset ()=default
Default constructor creates no elements.
template<typename _InputIterator > multiset (_InputIterator __first, _InputIterator __last)
Builds a multiset from a range.
template<typename _InputIterator > multiset (_InputIterator __first, _InputIterator __last, const _Compare &__comp, const allocator_type &__a=allocator_type())
Builds a multiset from a range.
template<typename _InputIterator > multiset (_InputIterator __first, _InputIterator __last, const allocator_type &__a)
Allocator-extended range constructor.
multiset (const _Compare &__comp, const allocator_type &__a=allocator_type())
Creates a multiset with no elements.
multiset (const allocator_type &__a)
Allocator-extended default constructor.
multiset (const multiset &)=default
Multiset copy constructor.
multiset (const multiset &__m, const allocator_type &__a)
Allocator-extended copy constructor.
multiset (initializer_list< value_type > __l, const _Compare &__comp=_Compare(), const allocator_type &__a=allocator_type())
Builds a multiset from an initializer_list.
multiset (initializer_list< value_type > __l, const allocator_type &__a)
Allocator-extended initialier-list constructor.
multiset (multiset &&)=default
Multiset move constructor.
multiset (multiset &&__m, const allocator_type &__a) noexcept(is_nothrow_copy_constructible< _Compare >::value &&_Alloc_traits::_S_always_equal())
Allocator-extended move constructor.
~multiset ()=default
iterator begin () const noexcept
iterator cbegin () const noexcept
iterator cend () const noexcept
void clear () noexcept
template<typename _Kt > auto count (const _Kt &__x) const -> decltype(_M_t._M_count_tr(__x))
size_type count (const key_type &__x) const
Finds the number of elements with given key.
reverse_iterator crbegin () const noexcept
reverse_iterator crend () const noexcept
template<typename... _Args> iterator emplace (_Args &&... __args)
Builds and inserts an element into the multiset.
template<typename... _Args> iterator emplace_hint (const_iterator __pos, _Args &&... __args)
Builds and inserts an element into the multiset.
bool empty () const noexcept
Returns true if the set is empty.
iterator end () const noexcept
template<typename _Kt > auto equal_range (const _Kt &__x) -> decltype(pair< iterator, iterator >(_M_t._M_equal_range_tr(__x)))
template<typename _Kt > auto equal_range (const _Kt &__x) const -> decltype(pair< iterator, iterator >(_M_t._M_equal_range_tr(__x)))
std::pair< iterator, iterator > equal_range (const key_type &__x)
Finds a subsequence matching given key.
std::pair< const_iterator, const_iterator > equal_range (const key_type &__x) const
size_type erase (const key_type &__x)
Erases elements according to the provided key.
_GLIBCXX_ABI_TAG_CXX11 iterator erase (const_iterator __first, const_iterator __last)
Erases a [first,last) range of elements from a multiset.
_GLIBCXX_ABI_TAG_CXX11 iterator erase (const_iterator __position)
Erases an element from a multiset.
template<typename _Kt > auto find (const _Kt &__x) -> decltype(iterator
template<typename _Kt > auto find (const _Kt &__x) const -> decltype(const_iterator
iterator find (const key_type &__x)
Tries to locate an element in a set.
const_iterator find (const key_type &__x) const
allocator_type get_allocator () const noexcept
Returns the memory allocation object.
template<typename _InputIterator > void insert (_InputIterator __first, _InputIterator __last)
A template function that tries to insert a range of elements.
iterator insert (const value_type &__x)
Inserts an element into the multiset.
iterator insert (const_iterator __position, const value_type &__x)
Inserts an element into the multiset.
iterator insert (const_iterator __position, value_type &&__x)
void insert (initializer_list< value_type > __l)
Attempts to insert a list of elements into the multiset.
iterator insert (value_type &&__x)
key_compare key_comp () const
Returns the comparison object.
template<typename _Kt > auto lower_bound (const _Kt &__x) -> decltype(iterator(_M_t._M_lower_bound_tr(__x)))
template<typename _Kt > auto lower_bound (const _Kt &__x) const -> decltype(iterator(_M_t._M_lower_bound_tr(__x)))
iterator lower_bound (const key_type &__x)
Finds the beginning of a subsequence matching given key.
const_iterator lower_bound (const key_type &__x) const
size_type max_size () const noexcept
Returns the maximum size of the set.
multiset & operator= (const multiset &)=default
Multiset assignment operator.
multiset & operator= (initializer_list< value_type > __l)
Multiset list assignment operator.
multiset & operator= (multiset &&)=default
Move assignment operator.
reverse_iterator rbegin () const noexcept
reverse_iterator rend () const noexcept
size_type size () const noexcept
Returns the size of the set.
void swap (multiset &__x) noexcept(/*conditional */)
Swaps data with another multiset.
template<typename _Kt > auto upper_bound (const _Kt &__x) -> decltype(iterator(_M_t._M_upper_bound_tr(__x)))
template<typename _Kt > auto upper_bound (const _Kt &__x) const -> decltype(iterator(_M_t._M_upper_bound_tr(__x)))
iterator upper_bound (const key_type &__x)
Finds the end of a subsequence matching given key.
const_iterator upper_bound (const key_type &__x) const
value_compare value_comp () const
Returns the comparison object.

  Friends
template<typename _K1 , typename _C1 , typename _A1 > bool operator< (const multiset< _K1, _C1, _A1 > &, const multiset< _K1, _C1, _A1 > &)
template<typename _K1 , typename _C1 , typename _A1 > bool operator== (const multiset< _K1, _C1, _A1 > &, const multiset< _K1, _C1, _A1 > &)

Detailed Description

  template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>>
class std::multiset< _Key, _Compare, _Alloc >" A standard container made up of elements, which can be retrieved in logarithmic time.

Template Parameters
    _Key Type of key objects.
    _Compare Comparison function object type, defaults to less<_Key>.
    _Alloc Allocator type, defaults to allocator<_Key>.

Meets the requirements of a container, a reversible container, and an associative container (using equivalent keys). For a multiset<Key> the key_type and value_type are Key.

Multisets support bidirectional iterators.

The private tree data is declared exactly the same way for set and multiset; the distinction is made entirely in how the tree functions are called (*_unique versus *_equal, same as the standard).

Definition at line 96 of file stl_multiset.h.

Constructor & Destructor Documentation

  template<typename _Key , typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> std::multiset< _Key, _Compare, _Alloc >::multiset () [default]

Default constructor creates no elements.

  template<typename _Key , typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> std::multiset< _Key, _Compare, _Alloc >::multiset (const _Compare & __comp, const allocator_type & __a = allocator_type()) [inline], [explicit]

Creates a multiset with no elements.

Parameters
    __comp Comparator to use.
    __a An allocator object.

Definition at line 173 of file stl_multiset.h.

  template<typename _Key , typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> template<typename _InputIterator > std::multiset< _Key, _Compare, _Alloc >::multiset (_InputIterator __first, _InputIterator __last) [inline]

Builds a multiset from a range.

Parameters
    __first An input iterator.
    __last An input iterator.

Create a multiset consisting of copies of the elements from [first,last). This is linear in N if the range is already sorted, and NlogN otherwise (where N is distance(__first,__last)).

Definition at line 187 of file stl_multiset.h.

  template<typename _Key , typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> template<typename _InputIterator > std::multiset< _Key, _Compare, _Alloc >::multiset (_InputIterator __first, _InputIterator __last, const _Compare & __comp, const allocator_type & __a = allocator_type()) [inline]

Builds a multiset from a range.

Parameters
    __first An input iterator.
    __last An input iterator.
    __comp A comparison functor.
    __a An allocator object.

Create a multiset consisting of copies of the elements from [__first,__last). This is linear in N if the range is already sorted, and NlogN otherwise (where N is distance(__first,__last)).

Definition at line 203 of file stl_multiset.h.

  template<typename _Key , typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> std::multiset< _Key, _Compare, _Alloc >::multiset (const multiset< _Key, _Compare, _Alloc > &) [default]

Multiset copy constructor. Whether the allocator is copied depends on the allocator traits.

  template<typename _Key , typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> std::multiset< _Key, _Compare, _Alloc >::multiset (multiset< _Key, _Compare, _Alloc > &&) [default]

Multiset move constructor. The newly-created multiset contains the exact contents of the moved instance. The moved instance is a valid, but unspecified multiset.

  template<typename _Key , typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> std::multiset< _Key, _Compare, _Alloc >::multiset (initializer_list< value_type > __l, const _Compare & __comp = _Compare(), const allocator_type & __a = allocator_type()) [inline]

Builds a multiset from an initializer_list.

Parameters
    __l An initializer_list.
    __comp A comparison functor.
    __a An allocator object.

Create a multiset consisting of copies of the elements from the list. This is linear in N if the list is already sorted, and NlogN otherwise (where N is __l.size()).

Definition at line 239 of file stl_multiset.h.

  template<typename _Key , typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> std::multiset< _Key, _Compare, _Alloc >::multiset (const allocator_type & __a) [inline], [explicit]

Allocator-extended default constructor.

Definition at line 247 of file stl_multiset.h.

  template<typename _Key , typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> std::multiset< _Key, _Compare, _Alloc >::multiset (const multiset< _Key, _Compare, _Alloc > & __m, const allocator_type & __a) [inline]

Allocator-extended copy constructor.

Definition at line 251 of file stl_multiset.h.

  template<typename _Key , typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> std::multiset< _Key, _Compare, _Alloc >::multiset (multiset< _Key, _Compare, _Alloc > && __m, const allocator_type & __a) [inline], [noexcept]

Allocator-extended move constructor.

Definition at line 255 of file stl_multiset.h.

  template<typename _Key , typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> std::multiset< _Key, _Compare, _Alloc >::multiset (initializer_list< value_type > __l, const allocator_type & __a) [inline]

Allocator-extended initialier-list constructor.

Definition at line 261 of file stl_multiset.h.

  template<typename _Key , typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> template<typename _InputIterator > std::multiset< _Key, _Compare, _Alloc >::multiset (_InputIterator __first, _InputIterator __last, const allocator_type & __a) [inline]

Allocator-extended range constructor.

Definition at line 267 of file stl_multiset.h.

  template<typename _Key , typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> std::multiset< _Key, _Compare, _Alloc >::~multiset () [default]
The dtor only erases the elements, and note that if the elements themselves are pointers, the pointed-to memory is not touched in any way. Managing the pointer is the user's responsibility.

Member Function Documentation

  template<typename _Key , typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> iterator std::multiset< _Key, _Compare, _Alloc >::begin () const [inline], [noexcept]
Returns a read-only (constant) iterator that points to the first element in the multiset. Iteration is done in ascending order according to the keys.

Definition at line 340 of file stl_multiset.h.

  template<typename _Key , typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> iterator std::multiset< _Key, _Compare, _Alloc >::cbegin () const [inline], [noexcept]
Returns a read-only (constant) iterator that points to the first element in the multiset. Iteration is done in ascending order according to the keys.

Definition at line 377 of file stl_multiset.h.

  template<typename _Key , typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> iterator std::multiset< _Key, _Compare, _Alloc >::cend () const [inline], [noexcept]
Returns a read-only (constant) iterator that points one past the last element in the multiset. Iteration is done in ascending order according to the keys.

Definition at line 386 of file stl_multiset.h.

  template<typename _Key , typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> void std::multiset< _Key, _Compare, _Alloc >::clear () [inline], [noexcept]
Erases all elements in a multiset. Note that this function only erases the elements, and that if the elements themselves are pointers, the pointed-to memory is not touched in any way. Managing the pointer is the user's responsibility.

Definition at line 718 of file stl_multiset.h.

  template<typename _Key , typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> size_type std::multiset< _Key, _Compare, _Alloc >::count (const key_type & __x) const [inline]

Finds the number of elements with given key.

Parameters
    __x Key of elements to be located.

Returns
    Number of elements with specified key.

Definition at line 730 of file stl_multiset.h.

  template<typename _Key , typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> reverse_iterator std::multiset< _Key, _Compare, _Alloc >::crbegin () const [inline], [noexcept]
Returns a read-only (constant) reverse iterator that points to the last element in the multiset. Iteration is done in descending order according to the keys.

Definition at line 395 of file stl_multiset.h.

  template<typename _Key , typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> reverse_iterator std::multiset< _Key, _Compare, _Alloc >::crend () const [inline], [noexcept]
Returns a read-only (constant) reverse iterator that points to the last element in the multiset. Iteration is done in descending order according to the keys.

Definition at line 404 of file stl_multiset.h.

  template<typename _Key , typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> template<typename... _Args> iterator std::multiset< _Key, _Compare, _Alloc >::emplace (_Args &&... __args) [inline]

Builds and inserts an element into the multiset.

Parameters
    __args Arguments used to generate the element instance to be inserted.

Returns
    An iterator that points to the inserted element.

This function inserts an element into the multiset. Contrary to a std::set the multiset does not rely on unique keys and thus multiple copies of the same element can be inserted.

Insertion requires logarithmic time.

Definition at line 457 of file stl_multiset.h.

  template<typename _Key , typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> template<typename... _Args> iterator std::multiset< _Key, _Compare, _Alloc >::emplace_hint (const_iterator __pos, _Args &&... __args) [inline]

Builds and inserts an element into the multiset.

Parameters
    __pos An iterator that serves as a hint as to where the element should be inserted.
    __args Arguments used to generate the element instance to be inserted.

Returns
    An iterator that points to the inserted element.

This function inserts an element into the multiset. Contrary to a std::set the multiset does not rely on unique keys and thus multiple copies of the same element can be inserted.

Note that the first parameter is only a hint and can potentially improve the performance of the insertion process. A bad hint would cause no gains in efficiency.

See https://gcc.gnu.org/onlinedocs/libstdc++/manual/associative.html#containers.associative.insert_hints for more on hinting.

Insertion requires logarithmic time (if the hint is not taken).

Definition at line 483 of file stl_multiset.h.

  template<typename _Key , typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> bool std::multiset< _Key, _Compare, _Alloc >::empty () const [inline], [noexcept]

Returns true if the set is empty.

Definition at line 410 of file stl_multiset.h.

  template<typename _Key , typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> iterator std::multiset< _Key, _Compare, _Alloc >::end () const [inline], [noexcept]
Returns a read-only (constant) iterator that points one past the last element in the multiset. Iteration is done in ascending order according to the keys.

Definition at line 349 of file stl_multiset.h.

  template<typename _Key , typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> std::pair<iterator, iterator> std::multiset< _Key, _Compare, _Alloc >::equal_range (const key_type & __x) [inline]

Finds a subsequence matching given key.

Parameters
    __x Key to be located.

Returns
    Pair of iterators that possibly points to the subsequence matching given key.

This function is equivalent to

std::make_pair(c.lower_bound(val),
               c.upper_bound(val))

 (but is faster than making the calls separately).

This function probably only makes sense for multisets.

Definition at line 879 of file stl_multiset.h.

  template<typename _Key , typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> size_type std::multiset< _Key, _Compare, _Alloc >::erase (const key_type & __x) [inline]

Erases elements according to the provided key.

Parameters
    __x Key of element to be erased.

Returns
    The number of elements erased.

This function erases all elements located by the given key from a multiset. Note that this function only erases the element, and that if the element is itself a pointer, the pointed-to memory is not touched in any way. Managing the pointer is the user's responsibility.

Definition at line 669 of file stl_multiset.h.

  template<typename _Key , typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> _GLIBCXX_ABI_TAG_CXX11 iterator std::multiset< _Key, _Compare, _Alloc >::erase (const_iterator __first, const_iterator __last) [inline]

Erases a [first,last) range of elements from a multiset.

Parameters
    __first Iterator pointing to the start of the range to be erased.
    __last Iterator pointing to the end of the range to be erased.

Returns
    The iterator last.

This function erases a sequence of elements from a multiset. Note that this function only erases the elements, and that if the elements themselves are pointers, the pointed-to memory is not touched in any way. Managing the pointer is the user's responsibility.

Definition at line 691 of file stl_multiset.h.

  template<typename _Key , typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> _GLIBCXX_ABI_TAG_CXX11 iterator std::multiset< _Key, _Compare, _Alloc >::erase (const_iterator __position) [inline]

Erases an element from a multiset.

Parameters
    __position An iterator pointing to the element to be erased.

Returns
    An iterator pointing to the element immediately following position prior to the element being erased. If no such element exists, end() is returned.

This function erases an element, pointed to by the given iterator, from a multiset. Note that this function only erases the element, and that if the element is itself a pointer, the pointed-to memory is not touched in any way. Managing the pointer is the user's responsibility.

Definition at line 639 of file stl_multiset.h.

  template<typename _Key , typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> iterator std::multiset< _Key, _Compare, _Alloc >::find (const key_type & __x) [inline]

Tries to locate an element in a set.

Parameters
    __x Element to be located.

Returns
    Iterator pointing to sought-after element, or end() if not found.

This function takes a key and tries to locate the element with which the key matches. If successful the function returns an iterator pointing to the sought after element. If unsuccessful it returns the past-the-end ( end() ) iterator.

Definition at line 775 of file stl_multiset.h.

  template<typename _Key , typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> allocator_type std::multiset< _Key, _Compare, _Alloc >::get_allocator () const [inline], [noexcept]

Returns the memory allocation object.

Definition at line 331 of file stl_multiset.h.

  template<typename _Key , typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> template<typename _InputIterator > void std::multiset< _Key, _Compare, _Alloc >::insert (_InputIterator __first, _InputIterator __last) [inline]

A template function that tries to insert a range of elements.

Parameters
    __first Iterator pointing to the start of the range to be inserted.
    __last Iterator pointing to the end of the range.

Complexity similar to that of the range constructor.

Definition at line 551 of file stl_multiset.h.

  template<typename _Key , typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> iterator std::multiset< _Key, _Compare, _Alloc >::insert (const value_type & __x) [inline]

Inserts an element into the multiset.

Parameters
    __x Element to be inserted.

Returns
    An iterator that points to the inserted element.

This function inserts an element into the multiset. Contrary to a std::set the multiset does not rely on unique keys and thus multiple copies of the same element can be inserted.

Insertion requires logarithmic time.

Definition at line 502 of file stl_multiset.h.

Referenced by std::multiset< _Key, _Compare, _Alloc >::insert().

  template<typename _Key , typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> iterator std::multiset< _Key, _Compare, _Alloc >::insert (const_iterator __position, const value_type & __x) [inline]

Inserts an element into the multiset.

Parameters
    __position An iterator that serves as a hint as to where the element should be inserted.
    __x Element to be inserted.

Returns
    An iterator that points to the inserted element.

This function inserts an element into the multiset. Contrary to a std::set the multiset does not rely on unique keys and thus multiple copies of the same element can be inserted.

Note that the first parameter is only a hint and can potentially improve the performance of the insertion process. A bad hint would cause no gains in efficiency.

See https://gcc.gnu.org/onlinedocs/libstdc++/manual/associative.html#containers.associative.insert_hints for more on hinting.

Insertion requires logarithmic time (if the hint is not taken).

Definition at line 532 of file stl_multiset.h.

  template<typename _Key , typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> void std::multiset< _Key, _Compare, _Alloc >::insert (initializer_list< value_type > __l) [inline]

Attempts to insert a list of elements into the multiset.

Parameters
    __l A std::initializer_list<value_type> of elements to be inserted.

Complexity similar to that of the range constructor.

Definition at line 563 of file stl_multiset.h.

References std::multiset< _Key, _Compare, _Alloc >::insert().

  template<typename _Key , typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> key_compare std::multiset< _Key, _Compare, _Alloc >::key_comp () const [inline]

Returns the comparison object.

Definition at line 323 of file stl_multiset.h.

  template<typename _Key , typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> iterator std::multiset< _Key, _Compare, _Alloc >::lower_bound (const key_type & __x) [inline]

Finds the beginning of a subsequence matching given key.

Parameters
    __x Key to be located.

Returns
    Iterator pointing to first element equal to or greater than key, or end().

This function returns the first element of a subsequence of elements that matches the given key. If unsuccessful it returns an iterator pointing to the first element that has a greater value than given key or end() if no such element exists.

Definition at line 810 of file stl_multiset.h.

  template<typename _Key , typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> size_type std::multiset< _Key, _Compare, _Alloc >::max_size () const [inline], [noexcept]

Returns the maximum size of the set.

Definition at line 420 of file stl_multiset.h.

  template<typename _Key , typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> multiset& std::multiset< _Key, _Compare, _Alloc >::operator= (const multiset< _Key, _Compare, _Alloc > &) [default]

Multiset assignment operator. Whether the allocator is copied depends on the allocator traits.

  template<typename _Key , typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> multiset& std::multiset< _Key, _Compare, _Alloc >::operator= (initializer_list< value_type > __l) [inline]

Multiset list assignment operator.

Parameters
    __l An initializer_list.

This function fills a multiset with copies of the elements in the initializer list __l.

Note that the assignment completely changes the multiset and that the resulting multiset's size is the same as the number of elements assigned.

Definition at line 312 of file stl_multiset.h.

  template<typename _Key , typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> multiset& std::multiset< _Key, _Compare, _Alloc >::operator= (multiset< _Key, _Compare, _Alloc > &&) [default]

Move assignment operator.

  template<typename _Key , typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> reverse_iterator std::multiset< _Key, _Compare, _Alloc >::rbegin () const [inline], [noexcept]
Returns a read-only (constant) reverse iterator that points to the last element in the multiset. Iteration is done in descending order according to the keys.

Definition at line 358 of file stl_multiset.h.

  template<typename _Key , typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> reverse_iterator std::multiset< _Key, _Compare, _Alloc >::rend () const [inline], [noexcept]
Returns a read-only (constant) reverse iterator that points to the last element in the multiset. Iteration is done in descending order according to the keys.

Definition at line 367 of file stl_multiset.h.

  template<typename _Key , typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> size_type std::multiset< _Key, _Compare, _Alloc >::size () const [inline], [noexcept]

Returns the size of the set.

Definition at line 415 of file stl_multiset.h.

  template<typename _Key , typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> void std::multiset< _Key, _Compare, _Alloc >::swap (multiset< _Key, _Compare, _Alloc > & __x) [inline], [noexcept]

Swaps data with another multiset.

Parameters
    __x A multiset of the same element and allocator types.

This exchanges the elements between two multisets in constant time. (It is only swapping a pointer, an integer, and an instance of the Compare type (which itself is often stateless and empty), so it should be quite fast.) Note that the global std::swap() function is specialized such that std::swap(s1,s2) will feed to this function.

Whether the allocators are swapped depends on the allocator traits.

Definition at line 437 of file stl_multiset.h.

  template<typename _Key , typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> iterator std::multiset< _Key, _Compare, _Alloc >::upper_bound (const key_type & __x) [inline]

Finds the end of a subsequence matching given key.

Parameters
    __x Key to be located.

Returns
    Iterator pointing to the first element greater than key, or end().

Definition at line 840 of file stl_multiset.h.

  template<typename _Key , typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> value_compare std::multiset< _Key, _Compare, _Alloc >::value_comp () const [inline]

Returns the comparison object.

Definition at line 327 of file stl_multiset.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.